package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.bean.dto.AreaDto;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 服务区域规划查询结果
 * @Author: CaoZixuan
 * @Date: 2023-08-09
 */
public class ServiceRegionResult {
    @ApiModelProperty(value = "服务区域规划id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceRegionId;

    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty(value = "服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty(value = "服务单元状态")
    private ServiceStatusEnum serviceUnitStatus;

    @ApiModelProperty(value = "大区名称")
    private String regionName;

    @ApiModelProperty(value = "大区经理")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long leadId;

    @ApiModelProperty(value = "大区经理名称")
    private String leadName;

    @ApiModelProperty(value = "区域规划信息")
    private String regionInfo;

    @ApiModelProperty(value = "派单共计")
    private Integer orderCount;

    @ApiModelProperty(value = "纯区域地址")
    private List<AreaDto> areaDtoList;


    public Long getServiceRegionId() {
        return serviceRegionId;
    }

    public void setServiceRegionId(Long serviceRegionId) {
        this.serviceRegionId = serviceRegionId;
    }

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public ServiceStatusEnum getServiceUnitStatus() {
        return serviceUnitStatus;
    }

    public void setServiceUnitStatus(ServiceStatusEnum serviceUnitStatus) {
        this.serviceUnitStatus = serviceUnitStatus;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public String getRegionInfo() {
        return regionInfo;
    }

    public void setRegionInfo(String regionInfo) {
        this.regionInfo = regionInfo;
    }

    public Integer getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(Integer orderCount) {
        this.orderCount = orderCount;
    }

    public List<AreaDto> getAreaDtoList() {
        return areaDtoList;
    }

    public void setAreaDtoList(List<AreaDto> areaDtoList) {
        this.areaDtoList = areaDtoList;
    }
}
